Factory reset VM
curl --request POST \
--url https://api.rafftechnologies.com/api/v1/vms/{id}/factory-reset \
--header 'X-API-Key: <api-key>' \
--header 'X-Project-ID: <x-project-id>'import requests
url = "https://api.rafftechnologies.com/api/v1/vms/{id}/factory-reset"
headers = {
"X-Project-ID": "<x-project-id>",
"X-API-Key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Project-ID': '<x-project-id>', 'X-API-Key': '<api-key>'}
};
fetch('https://api.rafftechnologies.com/api/v1/vms/{id}/factory-reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully"
}{
"error": "Bad Request",
"message": "X-Project-ID required"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Power & state
Factory Reset VM
Factory reset a virtual machine to its original state. This will destroy all data on the VM and restore it to the original template.
POST
/
api
/
v1
/
vms
/
{id}
/
factory-reset
Factory reset VM
Updated May 8, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Headers
Project ID. Required for all mutating operations (create, delete, power actions, resize).
Path Parameters
VM ID (UUID)
Last modified on May 8, 2026
⌘I